Get document review
GET/documents/:documentId/reviews/:reviewId
Get a document review by review id
Request
Path Parameters
documentId stringrequired
Document Identifier
reviewId stringrequired
Review Identifier
Query Parameters
siteId string
Site Identifier
artifactId string
Artifact Document Identifier
Responses
- 200
200 OK
Response Headers
Access-Control-Allow-Origin
string
Access-Control-Allow-Methods
string
Access-Control-Allow-Headers
string
- application/json
- Schema
- Example (from schema)
Schema
- PENDING: Review has been created and is waiting for one or more decisions.
- IN_PROGRESS: Review has been claimed or at least one decision has been submitted, but completion requirements are not yet satisfied.
- COMPLETED: Completion requirements are satisfied.
- CANCELLED: Review was cancelled before completion.
- SUPERSEDED: Review was replaced by another review, usually because the artifact/document changed.
review
object
documentId string
Document Identifier
artifactId string
Artifact Identifier
reviewId string
Review Identifier
reviewCategory string
Review category
reviewStatus DocumentReviewStatus (string)
Status of Document Review:
Possible values: [PENDING, IN_PROGRESS, COMPLETED, CANCELLED, SUPERSEDED]
requiredDecisions int64
Number of decisions required to complete the review
userId string
User who added review
comments string
Review comments
insertedDate string
Inserted Timestamp
lastModifiedDate string
Last Modified Timestamp
{
"review": {
"documentId": "string",
"artifactId": "string",
"reviewId": "string",
"reviewCategory": "string",
"reviewStatus": "PENDING",
"requiredDecisions": 0,
"userId": "string",
"comments": "string",
"insertedDate": "string",
"lastModifiedDate": "string"
}
}
Loading...